Eclipse Platform Release 3.7

## org.eclipse.ui.dialogs
Interface IWorkingSetPage

All Superinterfaces:
  IDialogPage, IWizardPage

    public interface IWorkingSetPage

extends IWizardPage

A working set page allows the user to edit an existing working set and create a new working set.

Clients should implement this interface and include the name of their class in an extension contributed to the workbench's working set extension point (named `"org.eclipse.ui.workingSets"`) if they want to provide a special wizard page for a particular working set element type.

Clients implementing this interface may subclass from org.eclipse.jface.wizard.WizardPage.

Since:
  2.0

Method Summary
`void` `finish()` Called when the working set wizard is closed by selecting the finish button.
`IWorkingSet` `getSelection()` Returns the working set edited or created on the page after the wizard has closed.
`void` `setSelection(IWorkingSet workingSet)` Sets the working set edited on the page.

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### finish

    void finish()

  Called when the working set wizard is closed by selecting the finish button. Implementers may store the page result (new/changed working set returned in getSelection) here.

### getSelection

    IWorkingSet getSelection()

  Returns the working set edited or created on the page after the wizard has closed. Returns the working set that was initially set using `setSelection`if the wizard has not been closed yet. Implementors should return the object set in setSelection instead of making a copy and returning the changed copy.

  Returns:
    the working set edited or created on the page.

### setSelection

    void setSelection(IWorkingSet workingSet)

  Sets the working set edited on the page. Implementors should not make a copy of this working set. The passed object can be edited as is and should be returned in getSelection().

  Parameters:
    `workingSet` - the working set edited on the page.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.